<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddLocalRouteGroupReq StructType
 * @subpackage Structs
 */
class AddLocalRouteGroupReq extends APIRequest
{
    /**
     * The localRouteGroup
     * @var XLocalRouteGroup
     */
    public $localRouteGroup;
    /**
     * Constructor method for AddLocalRouteGroupReq
     * @uses AddLocalRouteGroupReq::setLocalRouteGroup()
     * @param XLocalRouteGroup $localRouteGroup
     */
    public function __construct(XLocalRouteGroup $localRouteGroup = null)
    {
        $this
            ->setLocalRouteGroup($localRouteGroup);
    }
    /**
     * Get localRouteGroup value
     * @return XLocalRouteGroup|null
     */
    public function getLocalRouteGroup()
    {
        return $this->localRouteGroup;
    }
    /**
     * Set localRouteGroup value
     * @param XLocalRouteGroup $localRouteGroup
     * @return AddLocalRouteGroupReq
     */
    public function setLocalRouteGroup(XLocalRouteGroup $localRouteGroup = null)
    {
        $this->localRouteGroup = $localRouteGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddLocalRouteGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
